Subject: bug#31688: 26.1.50; Byte compiler confuses two string variables

From: Phil Sainty <[email-masked]>
Date: Mon, 04 Jun 2018 00:32:25 +1200

On 2018-06-03 11:54, Noam Postavsky wrote:
> What, you don't like optimization? ;)

I generally dislike it when byte-compiled and interpreted code
give different results.

Offhand I'm struggling to imagine there being really significant
benefits to this optimisation; whereas I can easily imagine that
any bugs on this account, while no doubt unlikely, could be
amazingly painful to track down if the bug only occurred in byte-
compiled code, and instrumenting the function for debugging
simply made the bug go away.